#!/bin/bash
# Build LASP on Ubuntu Linux, assuming we start in a clean docker container.
# After that, test stuff.
# Assumptions
# - CWD is root of lasp repository
# - Nothing is installed

# Stop on first error
set -e
# Update cache
# apt update
# Install requirements, this is done inside the Docker container to safe some
# work!
# apt install -y git python3 python3-virtualenv python3-venv libopenblas-dev python3-pip libfftw3-dev libusb-1.0-0-dev libpulse-dev python3-build
#
# Build in venv
python3 -m venv .venv
# Activate venv
source .venv/bin/activate
# Build in venv
pip install build pytest
python3 -m build
pip install dist/lasp-*linux_x86_64.whl
# Test
pytest
